/*
 * Moorhuhn.h - Bibliothek zur Festlegung von Moorhühnern
 * Fähigkeiten: Leben durch LED anzeigen, Leben/Tod abfragen (LDR), Fliegen (Bewegung) und Sterben (Ton)
 * V0.2, 12.04.2017
 */

#ifndef Moorhuhn_h
#define Moorhuhn_h

#include "Arduino.h"


class Moorhuhn {
  public:
  Moorhuhn(int tempnr, int templed, int tempservonr, int tempbuzzer, boolean tempalive);
  int nr;
  boolean alive;
  void live(boolean liv);
  boolean shot(int ldr_ref);
  void fly();
  void die();
  
  private:
  int led;
  int buzzer;
  int servonr;
};

#endif
